package com.jwipc.sys.logic;

import com.jwipc.page.PageView;
import com.jwipc.sys.dto.BusinessAttachmentDTO;
import com.jwipc.sys.dto.BusinessAttachmentDeleteOrUpdateDTO;
import com.jwipc.sys.entity.BusinessAttachment;
import com.jwipc.sys.model.query.BusinessAttachmentQuery;

import java.util.List;

/**
 * <p>
 *  业务附件关系表 逻辑处理接口
 * </p>
 *
 * @author Chen Tianshi
 * @since 2025/9/11 13:33
 */
public interface BusinessAttachmentLogic {
    PageView list(BusinessAttachmentQuery query);
    PageView listNoPage(BusinessAttachmentQuery query);
    PageView listNoPageByCodes(BusinessAttachmentQuery query);

    List<BusinessAttachment> saveAttachment(List<BusinessAttachmentDTO> saveList);

    void deleteAttachment(BusinessAttachmentDeleteOrUpdateDTO deleteDTO);
    void deleteCheck(BusinessAttachmentDeleteOrUpdateDTO deleteDTO);

    void remarkAttachment(BusinessAttachmentDeleteOrUpdateDTO updateDTO);


    List<BusinessAttachmentDTO> getListByBusinessIds(List<Long> businessIds,String type);

    List<BusinessAttachmentDTO> getListByBusinessId(Long businessId);

    List<String> findInvoiceByFileId(Long id);

}
